{extend name="apps/common/view/admin.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{:lang("friend/admin/index")}－{:lang('appName')}</title>
{/block}
<!-- -->
{block name="main"}
<h6 class="border-bottom pb-2 mb-0 text-purple">
  {:lang("friend/admin/index")}
</h6>
<!-- -->
<form action="{:DcUrlAddon(['module'=>'friend','controll'=>'admin','action'=>'index'])}" method="post" data-toggle="form">
<div class="form-row collapse" id="filter-row">
  {:DcFormFilter($fields)}
</div>
<div class="toolbar d-flex justify-content-between d-md-block" id="toolbar">
  <div class="btn-group btn-group-sm">
    <button type="button" class="btn btn-purple dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
      {:lang('action')}
    </button>
    <div class="dropdown-menu">
      <button class="dropdown-item px-3" type="submit" data-action="{:DcUrlAddon(['module'=>'friend','controll'=>'admin','action'=>'status','value'=>'normal'])}" data-toggle="submit">
        <i class="fa fa-fw fa-eye"></i> {:lang('normal')}
      </button>
      <button class="dropdown-item px-3" type="submit" data-action="{:DcUrlAddon(['module'=>'friend','controll'=>'admin','action'=>'status','value'=>'hidden'])}" data-toggle="submit">
        <i class="fa fa-fw fa-eye-slash"></i> {:lang('hidden')}
      </button>
      <button class="dropdown-item px-3" type="submit" data-action="{:DcUrlAddon(['module'=>'friend','controll'=>'admin','action'=>'delete'])}" data-toggle="submit">
        <i class="fa fa-fw fa-trash"></i> {:lang('delete')}
      </button>
    </div>
  </div>
  <a class="btn btn-sm btn-danger" href="{:DcUrlAddon(['module'=>'friend','controll'=>'admin','action'=>'create'])}" data-toggle="create" data-modal-xl="0">
    <i class="fa fa-fw fa-plus"></i> {:lang('create')}
  </a>
  <a class="btn btn-sm btn-dark" href="#filter-row" data-toggle="collapse">
    <i class="fa fa-fw fa-filter"></i> {:lang('filter')}
  </a>
  <a class="btn btn-sm btn-info" href="javascript:;" data-toggle="refresh">
    <i class="fa fa-fw fa-refresh"></i> {:lang('refresh')}
  </a>
</div>
{:DcBuildTable([
    'data-name'               => 'friend/admin/index',
    'data-escape'             => false,
    'data-toggle'             => 'bootstrap-table',
    'data-unique-id'          => 'info_id',
    'data-id-field'           => 'info_id',
    'data-select-item-name'   => 'id[]',
    
    'data-url'                => DcUrlAddon(['module'=>'friend','controll'=>'admin','action'=>'index','info_controll'=>'friend','info_type'=>'link']),
    'data-url-sort'           => DcUrlAddon(['module'=>'friend','controll'=>'admin','action'=>'sort','ids'=>'']),
    'data-url-preview'        => DcUrlAddon(['module'=>'friend','controll'=>'admin','action'=>'preview','id'=>'']),
    'data-url-edit'           => DcUrlAddon(['module'=>'friend','controll'=>'admin','action'=>'edit','id'=>'']),
    'data-url-delete'         => DcUrlAddon(['module'=>'friend','controll'=>'admin','action'=>'delete','id'=>'']),
    'data-query-params'       => 'daicuo.table.query',
    
    'data-toolbar'            => '.toolbar',
    'data-toolbar-align'      => 'none float-md-left',
    
    'data-search-align'       => 'none float-md-right',
    'data-search'             => true,
    'data-show-search-button' => true,

    'data-buttons-align'      => 'right',
    'data-buttons-prefix'     => 'btn',
    'data-buttons-class'      => 'purple',
    'data-icon-size'          => 'sm',
    'data-show-refresh'       => true,
    'data-show-toggle'        => true,
    'data-show-fullscreen'    => true,
    
    'data-pagination'         => false,
    'data-page-number'        => $page,
    'data-page-size'          => 50,
    'data-page-list'          => '[50, 100, 200]',
    'data-side-pagination'    => 'server',
    'data-total-field'        => 'total',
    'data-data-field'         => 'data',
    
    'data-sort-name'          => 'info_order',
    'data-sort-order'         => 'desc',
    'data-sort-class'         => 'table-active',
    'data-sort-stable'        => 'true',
    
    'columns'                 => $columns,
])}
</form>
{/block}
{block name="js"}
<script>
var sort = function(value, row, index, field){
    return '<i class="fa fa-arrows-alt fa-lg text-purple dc-handle"></i>';
}
$(function(){
    var element = 'table[data-toggle="bootstrap-table"]';
    $(element).on('load-success.bs.table', function (data, status, xhr) {
        daicuo.sortable.init($(element+' tbody').get(0), {
            dataIdAttr: 'data-uniqueid',
            onEnd: function(event) {
                $.get($(element).data('url-sort')+daicuo.sortable.obj.toArray().join(','),function(){
                    $(element).bootstrapTable('refresh',{
                        sortName: 'info_order',
                        sortOrder: 'desc',
                    });
                });
            }
        });
    });
});
</script>
{/block}